# File: commandline.coffee

Defined in: | node_modules/grunt-coffeelint/node_modules/coffeelint/src
Classes: | ErrorReport Reporter CSVReporter JSLintReporter CheckstyleReporter

## Method Summary

- ~ (void) read(path) Return the contents of the given file synchronously.
- ~ (void) findCoffeeScripts(paths) Return a list of CoffeeScript's in the given paths.
- ~ (void) lintFiles(files, config) Return an error report from linting the given paths.
- ~ (void) lintSource(source, config, literate = false) Return an error report from linting the given coffeescript source.
- ~ (void) getFallbackConfig(filename = null) Get fallback configuration.
- ~ (void) loadRules(moduleName, ruleName = void 0) moduleName is a NodeJS module, or a path to a module NodeJS can load.
- ~ (void) reportAndExit(errorReport, options) Publish the error report and exit with the appropriate status.

## Method Details

~ (void) read(path)

Return the contents of the given file synchronously.

~ (void) findCoffeeScripts(paths)

Return a list of CoffeeScript's in the given paths.

~ (void) lintFiles(files, config)

Return an error report from linting the given paths.

~ (void) lintSource(source, config, literate = false)

Return an error report from linting the given coffeescript source.

~ (void) getFallbackConfig(filename = null)

Get fallback configuration. With the -F flag found configs in standard places will be used for each file being linted. Standard places are package.json or coffeelint.json in a project's root folder or the user's home folder.

~ (void) loadRules(moduleName, ruleName = void 0)

moduleName is a NodeJS module, or a path to a module NodeJS can load.

~ (void) reportAndExit(errorReport, options)

Publish the error report and exit with the appropriate status.

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input